Bug 446405 - Compiz/Emerald not working on F9
Compiz/Emerald not working on F9
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-compiz-manager (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: John Mahowald
Fedora Extras Quality Assurance
:
: 451393 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 10:25 EDT by Kevin J. Slonka
Modified: 2009-07-14 14:02 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:02:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin J. Slonka 2008-05-14 10:25:35 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Have a working Fedora 8 install with compiz/emerald functioning properly
2. Upgrade to F9 using the install DVD
3. Note how compiz and emerald don't work
  
Actual results:
I expected this to go flawlessly since I was using only compiz/emerald items
found in the yum repos, but upon upgrading to F9, I was left with a window
managerless environment.  Compiz doesn't start on boot (as it did before) and
emerald doesn't take over the window decorating.  Upon opening
gnome-compiz-preferences I get 2 errors in the console:

** (gnome-compiz-preferences:4423): WARNING **: plugin core isn't installed

** (gnome-compiz-preferences:4423): WARNING **: plugin inputzoom isn't installed

And 3 errors in an error dialog (An error occurred while loading or saving
configuration information for gnome-compiz-preferences. Some of your
configuration settings may not work properly.):

Type mismatch: Expected list, got string
Type mismatch: Expected list, got string
Type mismatch: Expected list, got string

If I try to enable the GL Desktop, Metacity goes away but compiz never starts.

I am (and have always been) using the 'radeon' driver on my Mobility Radeon 9200
system.


Expected results:
I expected everything to work.

Additional info:
Comment 1 Jarod Wilson 2008-05-14 11:13:16 EDT
Sounds more like an issue with gnome-compiz-manager than with emerald,
reassigning accordingly.
Comment 2 Jarod Wilson 2008-06-02 12:24:30 EDT
Might actually have been emerald at fault, and this is possibly a dupe of bug
447608, for which I've pushed an updated emerald. I'd suggest installing that
and retesting...
Comment 3 Kevin J. Slonka 2008-06-02 13:07:18 EDT
I got the emerald update but that's not the problem.  Compiz doesn't even start.
 I try the "Enable Effects" button in the Desktop effects applet and I get an error:

Desktop effects could not be enabled

Then I try opening the GL Desktop applet and I immediate get an error box:

An error occurred while loading or saving configuration information for
gnome-compiz-preferences. Some of your configuration settings may not work properly.
Type mismatch: Expected list, got string
Type mismatch: Expected list, got string
Type mismatch: Expected list, got string

If I ignore the error and check the Enable Gl Desktop checkbox, my window
manager goes away.  Then I try to run emerald --replace and nothing happens.

This is the only message of interest in /var/log/messages:

Jun  2 12:58:22 linux kernel: compiz[16827]: segfault at 200 ip 0012045d sp
bfd56e70 error 4 in ld-2.8.so[10c000+1c000]
Comment 4 Kai Hambrecht 2008-06-02 13:47:13 EDT
The error message "Type mismatch: Expected list, got string" only shows up if
package "compiz-gnome" is installed. If you remove this package,
gnome-compiz-preferences just works fine.
Comment 5 Kevin J. Slonka 2008-06-02 14:05:03 EDT
Thanks for pointing that out.  That fixed the error dialog, but Compiz still
doesn't run.
Comment 6 Jarod Wilson 2008-06-02 14:13:10 EDT
I'd suggest perhaps moving ~/.gconf/apps/compiz out of the way to try starting
compiz up with a fresh configuration.
Comment 7 Kevin J. Slonka 2008-06-02 14:23:26 EDT
<slonkak@linux> [/home/slonkak] [14:03]                                        
 # mv .gconf/apps/compiz .gconf/apps/compiz.foo
                                                                               
<slonkak@linux> [/home/slonkak] [14:19]                                        
 # /usr/local/bin/firefox/run-mozilla.sh: line 131: 19696 Segmentation fault   
  "$prog" ${1+"$@"}

[1]    Exit 139                      firefox
                                                                               
<slonkak@linux> [/home/slonkak] [14:19]                                        
 # emerald --replace
^C


After moving the compiz dir, I attempted to start compia through the GL Desktop
applet (Enable GL Desktop).  That killed metacity and firefox.  Then I tried to
run emerald.  After waiting 30 seconds, I CTRL+C'd emerald cause nothing was
happening.
Comment 8 Jarod Wilson 2008-06-02 14:33:00 EDT
Sorry, should have said "move gconf dir out of way, log out and log back in".
Doing all that mid-session can be problematic like that. Shouldn't be, but...
Comment 9 Kevin J. Slonka 2008-06-02 15:55:49 EDT
I should have known that ;)  After logging back in and checking the Enable GL
Desktop box, still doesn't work.

<slonkak@linux> [/home/slonkak/.gconf/apps] [15:53]                            
 # ls
avant-window-navigator  gnome-compiz-preferences  gtwitter
compiz                  gnome-power-manager       gwd
compiz.foo              gnome-screensaver         metacity
eog                     gnome-session             nautilus
gcalctool               gnome-settings            panel
%gconf.xml              gnome-volume-control      puplet
gedit-2                 gthumb
                                                                               
<slonkak@linux> [/home/slonkak/.gconf/apps] [15:53]                            
 # ps ax | grep comp
25289 ?        S      0:00 gnome-compiz-preferences


It made a new compiz dir, but compiz never runs...
Comment 10 Matěj Cepl 2008-07-29 19:53:09 EDT
*** Bug 451393 has been marked as a duplicate of this bug. ***
Comment 11 Silvio Schneider 2008-12-30 08:23:01 EST
Same issue as Bug 451393 here, gnome-compiz-manager is telling 
An error occurred while loading or saving configuration information for gnome-compiz-preferences. Some of your configuration settings may not work properly.
Type mismatch: Expected list, got string
Type mismatch: Expected list, got string
Type mismatch: Expected list, got string

on a brand new installation with fedora 10.
Comment 12 Bug Zapper 2009-06-09 20:48:55 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-07-14 14:02:30 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.